Package org.eclipse.viatra.query.runtime.rete.recipes.impl

## Class RecipesPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.query.runtime.rete.recipes.impl.RecipesPackageImpl

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `RecipesPackage`

      public class RecipesPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements RecipesPackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.RecipesPackage

      `RecipesPackage.Literals`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `copyright`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.RecipesPackage

      `AGGREGATION_OPERATOR, AGGREGATOR_INDEXER_RECIPE, AGGREGATOR_INDEXER_RECIPE___GET_ARITY, AGGREGATOR_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS, AGGREGATOR_INDEXER_RECIPE__MASK, AGGREGATOR_INDEXER_RECIPE__PARENT, AGGREGATOR_INDEXER_RECIPE__TRACE_INFO, AGGREGATOR_INDEXER_RECIPE_FEATURE_COUNT, AGGREGATOR_INDEXER_RECIPE_OPERATION_COUNT, ALPHA_RECIPE, ALPHA_RECIPE___GET_ARITY, ALPHA_RECIPE__EQUIVALENCE_CLASS_IDS, ALPHA_RECIPE__PARENT, ALPHA_RECIPE__TRACE_INFO, ALPHA_RECIPE_FEATURE_COUNT, ALPHA_RECIPE_OPERATION_COUNT, ANTI_JOIN_RECIPE, ANTI_JOIN_RECIPE___GET_ARITY, ANTI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS, ANTI_JOIN_RECIPE__LEFT_PARENT, ANTI_JOIN_RECIPE__RIGHT_PARENT, ANTI_JOIN_RECIPE__TRACE_INFO, ANTI_JOIN_RECIPE_FEATURE_COUNT, ANTI_JOIN_RECIPE_OPERATION_COUNT, BETA_RECIPE, BETA_RECIPE___GET_ARITY, BETA_RECIPE__EQUIVALENCE_CLASS_IDS, BETA_RECIPE__LEFT_PARENT, BETA_RECIPE__RIGHT_PARENT, BETA_RECIPE__TRACE_INFO, BETA_RECIPE_FEATURE_COUNT, BETA_RECIPE_OPERATION_COUNT, CHECK_RECIPE, CHECK_RECIPE___GET_ARITY, CHECK_RECIPE__CACHE_OUTPUT, CHECK_RECIPE__EQUIVALENCE_CLASS_IDS, CHECK_RECIPE__EXPRESSION, CHECK_RECIPE__MAPPED_INDICES, CHECK_RECIPE__PARENT, CHECK_RECIPE__TRACE_INFO, CHECK_RECIPE_FEATURE_COUNT, CHECK_RECIPE_OPERATION_COUNT, CONSTANT_RECIPE, CONSTANT_RECIPE___GET_ARITY, CONSTANT_RECIPE__CONSTANT_VALUES, CONSTANT_RECIPE__EQUIVALENCE_CLASS_IDS, CONSTANT_RECIPE__TRACE_INFO, CONSTANT_RECIPE_FEATURE_COUNT, CONSTANT_RECIPE_OPERATION_COUNT, COUNT_AGGREGATOR_RECIPE, COUNT_AGGREGATOR_RECIPE___GET_ARITY, COUNT_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS, COUNT_AGGREGATOR_RECIPE__PARENT, COUNT_AGGREGATOR_RECIPE__TRACE_INFO, COUNT_AGGREGATOR_RECIPE_FEATURE_COUNT, COUNT_AGGREGATOR_RECIPE_OPERATION_COUNT, DISCRIMINATOR_BUCKET_RECIPE, DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY, DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY, DISCRIMINATOR_BUCKET_RECIPE__EQUIVALENCE_CLASS_IDS, DISCRIMINATOR_BUCKET_RECIPE__PARENT, DISCRIMINATOR_BUCKET_RECIPE__TRACE_INFO, DISCRIMINATOR_BUCKET_RECIPE_FEATURE_COUNT, DISCRIMINATOR_BUCKET_RECIPE_OPERATION_COUNT, DISCRIMINATOR_DISPATCHER_RECIPE, DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY, DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX, DISCRIMINATOR_DISPATCHER_RECIPE__EQUIVALENCE_CLASS_IDS, DISCRIMINATOR_DISPATCHER_RECIPE__PARENT, DISCRIMINATOR_DISPATCHER_RECIPE__TRACE_INFO, DISCRIMINATOR_DISPATCHER_RECIPE_FEATURE_COUNT, DISCRIMINATOR_DISPATCHER_RECIPE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EQUALITY_FILTER_RECIPE, EQUALITY_FILTER_RECIPE___GET_ARITY, EQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS, EQUALITY_FILTER_RECIPE__INDICES, EQUALITY_FILTER_RECIPE__PARENT, EQUALITY_FILTER_RECIPE__TRACE_INFO, EQUALITY_FILTER_RECIPE_FEATURE_COUNT, EQUALITY_FILTER_RECIPE_OPERATION_COUNT, EVAL_RECIPE, EVAL_RECIPE___GET_ARITY, EVAL_RECIPE__CACHE_OUTPUT, EVAL_RECIPE__EQUIVALENCE_CLASS_IDS, EVAL_RECIPE__EXPRESSION, EVAL_RECIPE__MAPPED_INDICES, EVAL_RECIPE__PARENT, EVAL_RECIPE__TRACE_INFO, EVAL_RECIPE__UNWINDING, EVAL_RECIPE_FEATURE_COUNT, EVAL_RECIPE_OPERATION_COUNT, EXISTENCE_JOIN_RECIPE, EXISTENCE_JOIN_RECIPE___GET_ARITY, EXISTENCE_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS, EXISTENCE_JOIN_RECIPE__LEFT_PARENT, EXISTENCE_JOIN_RECIPE__RIGHT_PARENT, EXISTENCE_JOIN_RECIPE__TRACE_INFO, EXISTENCE_JOIN_RECIPE_FEATURE_COUNT, EXISTENCE_JOIN_RECIPE_OPERATION_COUNT, EXPRESSION_DEFINITION, EXPRESSION_DEFINITION__EVALUATOR, EXPRESSION_DEFINITION_FEATURE_COUNT, EXPRESSION_DEFINITION_OPERATION_COUNT, EXPRESSION_ENFORCER_RECIPE, EXPRESSION_ENFORCER_RECIPE___GET_ARITY, EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT, EXPRESSION_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS, EXPRESSION_ENFORCER_RECIPE__EXPRESSION, EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES, EXPRESSION_ENFORCER_RECIPE__PARENT, EXPRESSION_ENFORCER_RECIPE__TRACE_INFO, EXPRESSION_ENFORCER_RECIPE_FEATURE_COUNT, EXPRESSION_ENFORCER_RECIPE_OPERATION_COUNT, FILTER_RECIPE, FILTER_RECIPE___GET_ARITY, FILTER_RECIPE__EQUIVALENCE_CLASS_IDS, FILTER_RECIPE__PARENT, FILTER_RECIPE__TRACE_INFO, FILTER_RECIPE_FEATURE_COUNT, FILTER_RECIPE_OPERATION_COUNT, INDEX, INDEXER_BASED_AGGREGATOR_RECIPE, INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY, INDEXER_BASED_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS, INDEXER_BASED_AGGREGATOR_RECIPE__PARENT, INDEXER_BASED_AGGREGATOR_RECIPE__TRACE_INFO, INDEXER_BASED_AGGREGATOR_RECIPE_FEATURE_COUNT, INDEXER_BASED_AGGREGATOR_RECIPE_OPERATION_COUNT, INDEXER_RECIPE, INDEXER_RECIPE___GET_ARITY, INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS, INDEXER_RECIPE__MASK, INDEXER_RECIPE__PARENT, INDEXER_RECIPE__TRACE_INFO, INDEXER_RECIPE_FEATURE_COUNT, INDEXER_RECIPE_OPERATION_COUNT, INEQUALITY_FILTER_RECIPE, INEQUALITY_FILTER_RECIPE___GET_ARITY, INEQUALITY_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS, INEQUALITY_FILTER_RECIPE__INEQUALS, INEQUALITY_FILTER_RECIPE__PARENT, INEQUALITY_FILTER_RECIPE__SUBJECT, INEQUALITY_FILTER_RECIPE__TRACE_INFO, INEQUALITY_FILTER_RECIPE_FEATURE_COUNT, INEQUALITY_FILTER_RECIPE_OPERATION_COUNT, INPUT_FILTER_RECIPE, INPUT_FILTER_RECIPE___GET_ARITY, INPUT_FILTER_RECIPE__EQUIVALENCE_CLASS_IDS, INPUT_FILTER_RECIPE__INPUT_KEY, INPUT_FILTER_RECIPE__KEY_ID, INPUT_FILTER_RECIPE__MASK, INPUT_FILTER_RECIPE__PARENT, INPUT_FILTER_RECIPE__TRACE_INFO, INPUT_FILTER_RECIPE_FEATURE_COUNT, INPUT_FILTER_RECIPE_OPERATION_COUNT, INPUT_RECIPE, INPUT_RECIPE___GET_ARITY, INPUT_RECIPE__EQUIVALENCE_CLASS_IDS, INPUT_RECIPE__INPUT_KEY, INPUT_RECIPE__KEY_ARITY, INPUT_RECIPE__KEY_ID, INPUT_RECIPE__TRACE_INFO, INPUT_RECIPE_FEATURE_COUNT, INPUT_RECIPE_OPERATION_COUNT, JOIN_RECIPE, JOIN_RECIPE___GET_ARITY, JOIN_RECIPE__EQUIVALENCE_CLASS_IDS, JOIN_RECIPE__LEFT_PARENT, JOIN_RECIPE__RIGHT_PARENT, JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK, JOIN_RECIPE__TRACE_INFO, JOIN_RECIPE_FEATURE_COUNT, JOIN_RECIPE_OPERATION_COUNT, MASK, MASK__SOURCE_ARITY, MASK__SOURCE_INDICES, MASK_FEATURE_COUNT, MASK_OPERATION_COUNT, MONOTONICITY_INFO, MONOTONICITY_INFO__CORE_MASK, MONOTONICITY_INFO__POSET_COMPARATOR, MONOTONICITY_INFO__POSET_MASK, MONOTONICITY_INFO_FEATURE_COUNT, MONOTONICITY_INFO_OPERATION_COUNT, MULTI_PARENT_NODE_RECIPE, MULTI_PARENT_NODE_RECIPE___GET_ARITY, MULTI_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS, MULTI_PARENT_NODE_RECIPE__PARENTS, MULTI_PARENT_NODE_RECIPE__TRACE_INFO, MULTI_PARENT_NODE_RECIPE_FEATURE_COUNT, MULTI_PARENT_NODE_RECIPE_OPERATION_COUNT, PRODUCTION_RECIPE, PRODUCTION_RECIPE___GET_ARITY, PRODUCTION_RECIPE__DELETE_REDERIVE_EVALUATION, PRODUCTION_RECIPE__EQUIVALENCE_CLASS_IDS, PRODUCTION_RECIPE__MAPPED_INDICES, PRODUCTION_RECIPE__OPTIONAL_MONOTONICITY_INFO, PRODUCTION_RECIPE__PARENTS, PRODUCTION_RECIPE__PATTERN, PRODUCTION_RECIPE__PATTERN_FQN, PRODUCTION_RECIPE__TRACE_INFO, PRODUCTION_RECIPE_FEATURE_COUNT, PRODUCTION_RECIPE_OPERATION_COUNT, PROJECTION_INDEXER_RECIPE, PROJECTION_INDEXER_RECIPE___GET_ARITY, PROJECTION_INDEXER_RECIPE__EQUIVALENCE_CLASS_IDS, PROJECTION_INDEXER_RECIPE__MASK, PROJECTION_INDEXER_RECIPE__PARENT, PROJECTION_INDEXER_RECIPE__TRACE_INFO, PROJECTION_INDEXER_RECIPE_FEATURE_COUNT, PROJECTION_INDEXER_RECIPE_OPERATION_COUNT, REDERIVABLE_NODE_RECIPE, REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION, REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO, REDERIVABLE_NODE_RECIPE_FEATURE_COUNT, REDERIVABLE_NODE_RECIPE_OPERATION_COUNT, RELATION_EVALUATION_RECIPE, RELATION_EVALUATION_RECIPE___GET_ARITY, RELATION_EVALUATION_RECIPE__EQUIVALENCE_CLASS_IDS, RELATION_EVALUATION_RECIPE__EVALUATOR, RELATION_EVALUATION_RECIPE__PARENTS, RELATION_EVALUATION_RECIPE__TRACE_INFO, RELATION_EVALUATION_RECIPE_FEATURE_COUNT, RELATION_EVALUATION_RECIPE_OPERATION_COUNT, RETE_NODE_RECIPE, RETE_NODE_RECIPE___GET_ARITY, RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS, RETE_NODE_RECIPE__TRACE_INFO, RETE_NODE_RECIPE_FEATURE_COUNT, RETE_NODE_RECIPE_OPERATION_COUNT, RETE_RECIPE, RETE_RECIPE__RECIPE_NODES, RETE_RECIPE_FEATURE_COUNT, RETE_RECIPE_OPERATION_COUNT, SEMI_JOIN_RECIPE, SEMI_JOIN_RECIPE___GET_ARITY, SEMI_JOIN_RECIPE__EQUIVALENCE_CLASS_IDS, SEMI_JOIN_RECIPE__LEFT_PARENT, SEMI_JOIN_RECIPE__RIGHT_PARENT, SEMI_JOIN_RECIPE__TRACE_INFO, SEMI_JOIN_RECIPE_FEATURE_COUNT, SEMI_JOIN_RECIPE_OPERATION_COUNT, SINGLE_COLUMN_AGGREGATOR_RECIPE, SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY, SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX, SINGLE_COLUMN_AGGREGATOR_RECIPE__DELETE_REDERIVE_EVALUATION, SINGLE_COLUMN_AGGREGATOR_RECIPE__EQUIVALENCE_CLASS_IDS, SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK, SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR, SINGLE_COLUMN_AGGREGATOR_RECIPE__OPTIONAL_MONOTONICITY_INFO, SINGLE_COLUMN_AGGREGATOR_RECIPE__PARENT, SINGLE_COLUMN_AGGREGATOR_RECIPE__TRACE_INFO, SINGLE_COLUMN_AGGREGATOR_RECIPE_FEATURE_COUNT, SINGLE_COLUMN_AGGREGATOR_RECIPE_OPERATION_COUNT, SINGLE_PARENT_NODE_RECIPE, SINGLE_PARENT_NODE_RECIPE___GET_ARITY, SINGLE_PARENT_NODE_RECIPE__EQUIVALENCE_CLASS_IDS, SINGLE_PARENT_NODE_RECIPE__PARENT, SINGLE_PARENT_NODE_RECIPE__TRACE_INFO, SINGLE_PARENT_NODE_RECIPE_FEATURE_COUNT, SINGLE_PARENT_NODE_RECIPE_OPERATION_COUNT, STRING_INDEX_MAP_ENTRY, STRING_INDEX_MAP_ENTRY__KEY, STRING_INDEX_MAP_ENTRY__VALUE, STRING_INDEX_MAP_ENTRY_FEATURE_COUNT, STRING_INDEX_MAP_ENTRY_OPERATION_COUNT, TRANSITIVE_CLOSURE_RECIPE, TRANSITIVE_CLOSURE_RECIPE___GET_ARITY, TRANSITIVE_CLOSURE_RECIPE__EQUIVALENCE_CLASS_IDS, TRANSITIVE_CLOSURE_RECIPE__PARENT, TRANSITIVE_CLOSURE_RECIPE__TRACE_INFO, TRANSITIVE_CLOSURE_RECIPE_FEATURE_COUNT, TRANSITIVE_CLOSURE_RECIPE_OPERATION_COUNT, TRANSPARENT_RECIPE, TRANSPARENT_RECIPE___GET_ARITY, TRANSPARENT_RECIPE__EQUIVALENCE_CLASS_IDS, TRANSPARENT_RECIPE__PARENT, TRANSPARENT_RECIPE__TRACE_INFO, TRANSPARENT_RECIPE_FEATURE_COUNT, TRANSPARENT_RECIPE_OPERATION_COUNT, TRIMMER_RECIPE, TRIMMER_RECIPE___GET_ARITY, TRIMMER_RECIPE__EQUIVALENCE_CLASS_IDS, TRIMMER_RECIPE__MASK, TRIMMER_RECIPE__PARENT, TRIMMER_RECIPE__TRACE_INFO, TRIMMER_RECIPE_FEATURE_COUNT, TRIMMER_RECIPE_OPERATION_COUNT, UNIQUENESS_ENFORCER_RECIPE, UNIQUENESS_ENFORCER_RECIPE___GET_ARITY, UNIQUENESS_ENFORCER_RECIPE__DELETE_REDERIVE_EVALUATION, UNIQUENESS_ENFORCER_RECIPE__EQUIVALENCE_CLASS_IDS, UNIQUENESS_ENFORCER_RECIPE__OPTIONAL_MONOTONICITY_INFO, UNIQUENESS_ENFORCER_RECIPE__PARENTS, UNIQUENESS_ENFORCER_RECIPE__TRACE_INFO, UNIQUENESS_ENFORCER_RECIPE_FEATURE_COUNT, UNIQUENESS_ENFORCER_RECIPE_OPERATION_COUNT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createPackageContents()` | Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EDataType` | `getAggregationOperator()`
    `org.eclipse.emf.ecore.EClass` | `getAggregatorIndexerRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getAlphaRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getAntiJoinRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getBetaRecipe()`
    `org.eclipse.emf.ecore.EReference` | `getBetaRecipe_LeftParent()`
    `org.eclipse.emf.ecore.EReference` | `getBetaRecipe_RightParent()`
    `org.eclipse.emf.ecore.EClass` | `getCheckRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getCheckRecipe__GetArity()`
    `org.eclipse.emf.ecore.EClass` | `getConstantRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getConstantRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getConstantRecipe_ConstantValues()`
    `org.eclipse.emf.ecore.EClass` | `getCountAggregatorRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getDiscriminatorBucketRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getDiscriminatorBucketRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getDiscriminatorBucketRecipe_BucketKey()`
    `org.eclipse.emf.ecore.EClass` | `getDiscriminatorDispatcherRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getDiscriminatorDispatcherRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex()`
    `org.eclipse.emf.ecore.EClass` | `getEqualityFilterRecipe()`
    `org.eclipse.emf.ecore.EAttribute` | `getEqualityFilterRecipe_Indices()`
    `org.eclipse.emf.ecore.EClass` | `getEvalRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getEvalRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getEvalRecipe_Unwinding()`
    `org.eclipse.emf.ecore.EClass` | `getExistenceJoinRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getExistenceJoinRecipe__GetArity()`
    `org.eclipse.emf.ecore.EClass` | `getExpressionDefinition()`
    `org.eclipse.emf.ecore.EAttribute` | `getExpressionDefinition_Evaluator()`
    `org.eclipse.emf.ecore.EClass` | `getExpressionEnforcerRecipe()`
    `org.eclipse.emf.ecore.EAttribute` | `getExpressionEnforcerRecipe_CacheOutput()`
    `org.eclipse.emf.ecore.EReference` | `getExpressionEnforcerRecipe_Expression()`
    `org.eclipse.emf.ecore.EReference` | `getExpressionEnforcerRecipe_MappedIndices()`
    `org.eclipse.emf.ecore.EClass` | `getFilterRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getFilterRecipe__GetArity()`
    `org.eclipse.emf.ecore.EDataType` | `getIndex()`
    `org.eclipse.emf.ecore.EClass` | `getIndexerBasedAggregatorRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getIndexerBasedAggregatorRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getIndexerBasedAggregatorRecipe_Parent()`
    `org.eclipse.emf.ecore.EClass` | `getIndexerRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getIndexerRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getIndexerRecipe_Mask()`
    `org.eclipse.emf.ecore.EClass` | `getInequalityFilterRecipe()`
    `org.eclipse.emf.ecore.EAttribute` | `getInequalityFilterRecipe_Inequals()`
    `org.eclipse.emf.ecore.EAttribute` | `getInequalityFilterRecipe_Subject()`
    `org.eclipse.emf.ecore.EClass` | `getInputFilterRecipe()`
    `org.eclipse.emf.ecore.EAttribute` | `getInputFilterRecipe_InputKey()`
    `org.eclipse.emf.ecore.EAttribute` | `getInputFilterRecipe_KeyID()`
    `org.eclipse.emf.ecore.EReference` | `getInputFilterRecipe_Mask()`
    `org.eclipse.emf.ecore.EClass` | `getInputRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getInputRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_InputKey()`
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_KeyArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getInputRecipe_KeyID()`
    `org.eclipse.emf.ecore.EClass` | `getJoinRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getJoinRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getJoinRecipe_RightParentComplementaryMask()`
    `org.eclipse.emf.ecore.EClass` | `getMask()`
    `org.eclipse.emf.ecore.EAttribute` | `getMask_SourceArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getMask_SourceIndices()`
    `org.eclipse.emf.ecore.EClass` | `getMonotonicityInfo()`
    `org.eclipse.emf.ecore.EReference` | `getMonotonicityInfo_CoreMask()`
    `org.eclipse.emf.ecore.EAttribute` | `getMonotonicityInfo_PosetComparator()`
    `org.eclipse.emf.ecore.EReference` | `getMonotonicityInfo_PosetMask()`
    `org.eclipse.emf.ecore.EClass` | `getMultiParentNodeRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getMultiParentNodeRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getMultiParentNodeRecipe_Parents()`
    `org.eclipse.emf.ecore.EClass` | `getProductionRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getProductionRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getProductionRecipe_MappedIndices()`
    `org.eclipse.emf.ecore.EAttribute` | `getProductionRecipe_Pattern()`
    `org.eclipse.emf.ecore.EAttribute` | `getProductionRecipe_PatternFQN()`
    `org.eclipse.emf.ecore.EClass` | `getProjectionIndexerRecipe()`
    `RecipesFactory` | `getRecipesFactory()`
    `org.eclipse.emf.ecore.EClass` | `getRederivableNodeRecipe()`
    `org.eclipse.emf.ecore.EAttribute` | `getRederivableNodeRecipe_DeleteRederiveEvaluation()`
    `org.eclipse.emf.ecore.EReference` | `getRederivableNodeRecipe_OptionalMonotonicityInfo()`
    `org.eclipse.emf.ecore.EClass` | `getRelationEvaluationRecipe()`
    `org.eclipse.emf.ecore.EReference` | `getRelationEvaluationRecipe_Evaluator()`
    `org.eclipse.emf.ecore.EClass` | `getReteNodeRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getReteNodeRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getReteNodeRecipe_EquivalenceClassIDs()`
    `org.eclipse.emf.ecore.EAttribute` | `getReteNodeRecipe_TraceInfo()`
    `org.eclipse.emf.ecore.EClass` | `getReteRecipe()`
    `org.eclipse.emf.ecore.EReference` | `getReteRecipe_RecipeNodes()`
    `org.eclipse.emf.ecore.EClass` | `getSemiJoinRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getSingleColumnAggregatorRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getSingleColumnAggregatorRecipe__GetArity()`
    `org.eclipse.emf.ecore.EAttribute` | `getSingleColumnAggregatorRecipe_AggregableIndex()`
    `org.eclipse.emf.ecore.EReference` | `getSingleColumnAggregatorRecipe_GroupByMask()`
    `org.eclipse.emf.ecore.EAttribute` | `getSingleColumnAggregatorRecipe_MultisetAggregationOperator()`
    `org.eclipse.emf.ecore.EClass` | `getSingleParentNodeRecipe()`
    `org.eclipse.emf.ecore.EReference` | `getSingleParentNodeRecipe_Parent()`
    `org.eclipse.emf.ecore.EClass` | `getStringIndexMapEntry()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringIndexMapEntry_Key()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringIndexMapEntry_Value()`
    `org.eclipse.emf.ecore.EClass` | `getTransitiveClosureRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getTransitiveClosureRecipe__GetArity()`
    `org.eclipse.emf.ecore.EClass` | `getTransparentRecipe()`
    `org.eclipse.emf.ecore.EClass` | `getTrimmerRecipe()`
    `org.eclipse.emf.ecore.EOperation` | `getTrimmerRecipe__GetArity()`
    `org.eclipse.emf.ecore.EReference` | `getTrimmerRecipe_Mask()`
    `org.eclipse.emf.ecore.EClass` | `getUniquenessEnforcerRecipe()`
    `static RecipesPackage` | `init()` | Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` | Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### init

          public static RecipesPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `RecipesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `RecipesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getReteRecipe

          public org.eclipse.emf.ecore.EClass getReteRecipe()

      Specified by:
        `getReteRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Rete Recipe'.
      See Also:
        `ReteRecipe`
      Generated:

    - #### getReteRecipe_RecipeNodes

          public org.eclipse.emf.ecore.EReference getReteRecipe_RecipeNodes()

      Specified by:
        `getReteRecipe_RecipeNodes` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference list 'Recipe Nodes'.
      See Also:
        `ReteRecipe.getRecipeNodes()`, `RecipesPackage.getReteRecipe()`
      Generated:

    - #### getReteNodeRecipe

          public org.eclipse.emf.ecore.EClass getReteNodeRecipe()

      Specified by:
        `getReteNodeRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Rete Node Recipe'.
      See Also:
        `ReteNodeRecipe`
      Generated:

    - #### getReteNodeRecipe_TraceInfo

          public org.eclipse.emf.ecore.EAttribute getReteNodeRecipe_TraceInfo()

      Specified by:
        `getReteNodeRecipe_TraceInfo` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Trace Info'.
      See Also:
        `ReteNodeRecipe.getTraceInfo()`, `RecipesPackage.getReteNodeRecipe()`
      Generated:

    - #### getReteNodeRecipe_EquivalenceClassIDs

          public org.eclipse.emf.ecore.EAttribute getReteNodeRecipe_EquivalenceClassIDs()

      Specified by:
        `getReteNodeRecipe_EquivalenceClassIDs` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute list 'Equivalence Class IDs'.
      Since:
        1.3
      See Also:
        `ReteNodeRecipe.getEquivalenceClassIDs()`, `RecipesPackage.getReteNodeRecipe()`
      Generated:

    - #### getReteNodeRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getReteNodeRecipe__GetArity()

      Specified by:
        `getReteNodeRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ReteNodeRecipe.getArity()`
      Generated:

    - #### getSingleParentNodeRecipe

          public org.eclipse.emf.ecore.EClass getSingleParentNodeRecipe()

      Specified by:
        `getSingleParentNodeRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Single Parent Node Recipe'.
      See Also:
        `SingleParentNodeRecipe`
      Generated:

    - #### getSingleParentNodeRecipe_Parent

          public org.eclipse.emf.ecore.EReference getSingleParentNodeRecipe_Parent()

      Specified by:
        `getSingleParentNodeRecipe_Parent` in interface `RecipesPackage`
      Returns:
        the meta object for the reference 'Parent'.
      See Also:
        `SingleParentNodeRecipe.getParent()`, `RecipesPackage.getSingleParentNodeRecipe()`
      Generated:

    - #### getAlphaRecipe

          public org.eclipse.emf.ecore.EClass getAlphaRecipe()

      Specified by:
        `getAlphaRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Alpha Recipe'.
      See Also:
        `AlphaRecipe`
      Generated:

    - #### getMultiParentNodeRecipe

          public org.eclipse.emf.ecore.EClass getMultiParentNodeRecipe()

      Specified by:
        `getMultiParentNodeRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Multi Parent Node Recipe'.
      See Also:
        `MultiParentNodeRecipe`
      Generated:

    - #### getMultiParentNodeRecipe_Parents

          public org.eclipse.emf.ecore.EReference getMultiParentNodeRecipe_Parents()

      Specified by:
        `getMultiParentNodeRecipe_Parents` in interface `RecipesPackage`
      Returns:
        the meta object for the reference list 'Parents'.
      See Also:
        `MultiParentNodeRecipe.getParents()`, `RecipesPackage.getMultiParentNodeRecipe()`
      Generated:

    - #### getMultiParentNodeRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getMultiParentNodeRecipe__GetArity()

      Specified by:
        `getMultiParentNodeRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `MultiParentNodeRecipe.getArity()`
      Generated:

    - #### getMonotonicityInfo

          public org.eclipse.emf.ecore.EClass getMonotonicityInfo()

      Specified by:
        `getMonotonicityInfo` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Monotonicity Info'.
      See Also:
        `MonotonicityInfo`
      Generated:

    - #### getMonotonicityInfo_CoreMask

          public org.eclipse.emf.ecore.EReference getMonotonicityInfo_CoreMask()

      Specified by:
        `getMonotonicityInfo_CoreMask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Core Mask'.
      See Also:
        `MonotonicityInfo.getCoreMask()`, `RecipesPackage.getMonotonicityInfo()`
      Generated:

    - #### getMonotonicityInfo_PosetMask

          public org.eclipse.emf.ecore.EReference getMonotonicityInfo_PosetMask()

      Specified by:
        `getMonotonicityInfo_PosetMask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Poset Mask'.
      See Also:
        `MonotonicityInfo.getPosetMask()`, `RecipesPackage.getMonotonicityInfo()`
      Generated:

    - #### getMonotonicityInfo_PosetComparator

          public org.eclipse.emf.ecore.EAttribute getMonotonicityInfo_PosetComparator()

      Specified by:
        `getMonotonicityInfo_PosetComparator` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Poset Comparator'.
      See Also:
        `MonotonicityInfo.getPosetComparator()`, `RecipesPackage.getMonotonicityInfo()`
      Generated:

    - #### getUniquenessEnforcerRecipe

          public org.eclipse.emf.ecore.EClass getUniquenessEnforcerRecipe()

      Specified by:
        `getUniquenessEnforcerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Uniqueness Enforcer Recipe'.
      See Also:
        `UniquenessEnforcerRecipe`
      Generated:

    - #### getProductionRecipe

          public org.eclipse.emf.ecore.EClass getProductionRecipe()

      Specified by:
        `getProductionRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Production Recipe'.
      See Also:
        `ProductionRecipe`
      Generated:

    - #### getProductionRecipe_MappedIndices

          public org.eclipse.emf.ecore.EReference getProductionRecipe_MappedIndices()

      Specified by:
        `getProductionRecipe_MappedIndices` in interface `RecipesPackage`
      Returns:
        the meta object for the map 'Mapped Indices'.
      See Also:
        `ProductionRecipe.getMappedIndices()`, `RecipesPackage.getProductionRecipe()`
      Generated:

    - #### getProductionRecipe_Pattern

          public org.eclipse.emf.ecore.EAttribute getProductionRecipe_Pattern()

      Specified by:
        `getProductionRecipe_Pattern` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `ProductionRecipe.getPattern()`, `RecipesPackage.getProductionRecipe()`
      Generated:

    - #### getProductionRecipe_PatternFQN

          public org.eclipse.emf.ecore.EAttribute getProductionRecipe_PatternFQN()

      Specified by:
        `getProductionRecipe_PatternFQN` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Pattern FQN'.
      See Also:
        `ProductionRecipe.getPatternFQN()`, `RecipesPackage.getProductionRecipe()`
      Generated:

    - #### getProductionRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getProductionRecipe__GetArity()

      Specified by:
        `getProductionRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ProductionRecipe.getArity()`
      Generated:

    - #### getIndexerRecipe

          public org.eclipse.emf.ecore.EClass getIndexerRecipe()

      Specified by:
        `getIndexerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Indexer Recipe'.
      See Also:
        `IndexerRecipe`
      Generated:

    - #### getIndexerRecipe_Mask

          public org.eclipse.emf.ecore.EReference getIndexerRecipe_Mask()

      Specified by:
        `getIndexerRecipe_Mask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `IndexerRecipe.getMask()`, `RecipesPackage.getIndexerRecipe()`
      Generated:

    - #### getIndexerRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getIndexerRecipe__GetArity()

      Specified by:
        `getIndexerRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `IndexerRecipe.getArity()`
      Generated:

    - #### getProjectionIndexerRecipe

          public org.eclipse.emf.ecore.EClass getProjectionIndexerRecipe()

      Specified by:
        `getProjectionIndexerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Projection Indexer Recipe'.
      See Also:
        `ProjectionIndexerRecipe`
      Generated:

    - #### getAggregatorIndexerRecipe

          public org.eclipse.emf.ecore.EClass getAggregatorIndexerRecipe()

      Specified by:
        `getAggregatorIndexerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Aggregator Indexer Recipe'.
      See Also:
        `AggregatorIndexerRecipe`
      Generated:

    - #### getBetaRecipe

          public org.eclipse.emf.ecore.EClass getBetaRecipe()

      Specified by:
        `getBetaRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Beta Recipe'.
      See Also:
        `BetaRecipe`
      Generated:

    - #### getBetaRecipe_LeftParent

          public org.eclipse.emf.ecore.EReference getBetaRecipe_LeftParent()

      Specified by:
        `getBetaRecipe_LeftParent` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Left Parent'.
      See Also:
        `BetaRecipe.getLeftParent()`, `RecipesPackage.getBetaRecipe()`
      Generated:

    - #### getBetaRecipe_RightParent

          public org.eclipse.emf.ecore.EReference getBetaRecipe_RightParent()

      Specified by:
        `getBetaRecipe_RightParent` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Right Parent'.
      See Also:
        `BetaRecipe.getRightParent()`, `RecipesPackage.getBetaRecipe()`
      Generated:

    - #### getMask

          public org.eclipse.emf.ecore.EClass getMask()

      Specified by:
        `getMask` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Mask'.
      See Also:
        `Mask`
      Generated:

    - #### getMask_SourceIndices

          public org.eclipse.emf.ecore.EAttribute getMask_SourceIndices()

      Specified by:
        `getMask_SourceIndices` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute list 'Source Indices'.
      See Also:
        `Mask.getSourceIndices()`, `RecipesPackage.getMask()`
      Generated:

    - #### getMask_SourceArity

          public org.eclipse.emf.ecore.EAttribute getMask_SourceArity()

      Specified by:
        `getMask_SourceArity` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Source Arity'.
      See Also:
        `Mask.getSourceArity()`, `RecipesPackage.getMask()`
      Generated:

    - #### getStringIndexMapEntry

          public org.eclipse.emf.ecore.EClass getStringIndexMapEntry()

      Specified by:
        `getStringIndexMapEntry` in interface `RecipesPackage`
      Returns:
        the meta object for class 'String Index Map Entry'.
      See Also:
        `Map.Entry`
      Generated:

    - #### getStringIndexMapEntry_Key

          public org.eclipse.emf.ecore.EAttribute getStringIndexMapEntry_Key()

      Specified by:
        `getStringIndexMapEntry_Key` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `RecipesPackage.getStringIndexMapEntry()`
      Generated:

    - #### getStringIndexMapEntry_Value

          public org.eclipse.emf.ecore.EAttribute getStringIndexMapEntry_Value()

      Specified by:
        `getStringIndexMapEntry_Value` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `RecipesPackage.getStringIndexMapEntry()`
      Generated:

    - #### getInputRecipe

          public org.eclipse.emf.ecore.EClass getInputRecipe()

      Specified by:
        `getInputRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Input Recipe'.
      See Also:
        `InputRecipe`
      Generated:

    - #### getInputRecipe_InputKey

          public org.eclipse.emf.ecore.EAttribute getInputRecipe_InputKey()

      Specified by:
        `getInputRecipe_InputKey` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Input Key'.
      See Also:
        `InputRecipe.getInputKey()`, `RecipesPackage.getInputRecipe()`
      Generated:

    - #### getInputRecipe_KeyID

          public org.eclipse.emf.ecore.EAttribute getInputRecipe_KeyID()

      Specified by:
        `getInputRecipe_KeyID` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Key ID'.
      See Also:
        `InputRecipe.getKeyID()`, `RecipesPackage.getInputRecipe()`
      Generated:

    - #### getInputRecipe_KeyArity

          public org.eclipse.emf.ecore.EAttribute getInputRecipe_KeyArity()

      Specified by:
        `getInputRecipe_KeyArity` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Key Arity'.
      See Also:
        `InputRecipe.getKeyArity()`, `RecipesPackage.getInputRecipe()`
      Generated:

    - #### getInputRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getInputRecipe__GetArity()

      Specified by:
        `getInputRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `InputRecipe.getArity()`
      Generated:

    - #### getConstantRecipe

          public org.eclipse.emf.ecore.EClass getConstantRecipe()

      Specified by:
        `getConstantRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Constant Recipe'.
      See Also:
        `ConstantRecipe`
      Generated:

    - #### getConstantRecipe_ConstantValues

          public org.eclipse.emf.ecore.EAttribute getConstantRecipe_ConstantValues()

      Specified by:
        `getConstantRecipe_ConstantValues` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute list 'Constant Values'.
      See Also:
        `ConstantRecipe.getConstantValues()`, `RecipesPackage.getConstantRecipe()`
      Generated:

    - #### getConstantRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getConstantRecipe__GetArity()

      Specified by:
        `getConstantRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ConstantRecipe.getArity()`
      Generated:

    - #### getTransitiveClosureRecipe

          public org.eclipse.emf.ecore.EClass getTransitiveClosureRecipe()

      Specified by:
        `getTransitiveClosureRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Transitive Closure Recipe'.
      See Also:
        `TransitiveClosureRecipe`
      Generated:

    - #### getTransitiveClosureRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getTransitiveClosureRecipe__GetArity()

      Specified by:
        `getTransitiveClosureRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `TransitiveClosureRecipe.getArity()`
      Generated:

    - #### getFilterRecipe

          public org.eclipse.emf.ecore.EClass getFilterRecipe()

      Specified by:
        `getFilterRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Filter Recipe'.
      See Also:
        `FilterRecipe`
      Generated:

    - #### getFilterRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getFilterRecipe__GetArity()

      Specified by:
        `getFilterRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `FilterRecipe.getArity()`
      Generated:

    - #### getInequalityFilterRecipe

          public org.eclipse.emf.ecore.EClass getInequalityFilterRecipe()

      Specified by:
        `getInequalityFilterRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Inequality Filter Recipe'.
      See Also:
        `InequalityFilterRecipe`
      Generated:

    - #### getInequalityFilterRecipe_Subject

          public org.eclipse.emf.ecore.EAttribute getInequalityFilterRecipe_Subject()

      Specified by:
        `getInequalityFilterRecipe_Subject` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Subject'.
      See Also:
        `InequalityFilterRecipe.getSubject()`, `RecipesPackage.getInequalityFilterRecipe()`
      Generated:

    - #### getInequalityFilterRecipe_Inequals

          public org.eclipse.emf.ecore.EAttribute getInequalityFilterRecipe_Inequals()

      Specified by:
        `getInequalityFilterRecipe_Inequals` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute list 'Inequals'.
      See Also:
        `InequalityFilterRecipe.getInequals()`, `RecipesPackage.getInequalityFilterRecipe()`
      Generated:

    - #### getEqualityFilterRecipe

          public org.eclipse.emf.ecore.EClass getEqualityFilterRecipe()

      Specified by:
        `getEqualityFilterRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Equality Filter Recipe'.
      See Also:
        `EqualityFilterRecipe`
      Generated:

    - #### getEqualityFilterRecipe_Indices

          public org.eclipse.emf.ecore.EAttribute getEqualityFilterRecipe_Indices()

      Specified by:
        `getEqualityFilterRecipe_Indices` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute list 'Indices'.
      See Also:
        `EqualityFilterRecipe.getIndices()`, `RecipesPackage.getEqualityFilterRecipe()`
      Generated:

    - #### getTransparentRecipe

          public org.eclipse.emf.ecore.EClass getTransparentRecipe()

      Specified by:
        `getTransparentRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Transparent Recipe'.
      See Also:
        `TransparentRecipe`
      Generated:

    - #### getTrimmerRecipe

          public org.eclipse.emf.ecore.EClass getTrimmerRecipe()

      Specified by:
        `getTrimmerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Trimmer Recipe'.
      See Also:
        `TrimmerRecipe`
      Generated:

    - #### getTrimmerRecipe_Mask

          public org.eclipse.emf.ecore.EReference getTrimmerRecipe_Mask()

      Specified by:
        `getTrimmerRecipe_Mask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `TrimmerRecipe.getMask()`, `RecipesPackage.getTrimmerRecipe()`
      Generated:

    - #### getTrimmerRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getTrimmerRecipe__GetArity()

      Specified by:
        `getTrimmerRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `TrimmerRecipe.getArity()`
      Generated:

    - #### getExpressionDefinition

          public org.eclipse.emf.ecore.EClass getExpressionDefinition()

      Specified by:
        `getExpressionDefinition` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Expression Definition'.
      See Also:
        `ExpressionDefinition`
      Generated:

    - #### getExpressionDefinition_Evaluator

          public org.eclipse.emf.ecore.EAttribute getExpressionDefinition_Evaluator()

      Specified by:
        `getExpressionDefinition_Evaluator` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Evaluator'.
      See Also:
        `ExpressionDefinition.getEvaluator()`, `RecipesPackage.getExpressionDefinition()`
      Generated:

    - #### getExpressionEnforcerRecipe

          public org.eclipse.emf.ecore.EClass getExpressionEnforcerRecipe()

      Specified by:
        `getExpressionEnforcerRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Expression Enforcer Recipe'.
      See Also:
        `ExpressionEnforcerRecipe`
      Generated:

    - #### getExpressionEnforcerRecipe_Expression

          public org.eclipse.emf.ecore.EReference getExpressionEnforcerRecipe_Expression()

      Specified by:
        `getExpressionEnforcerRecipe_Expression` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `ExpressionEnforcerRecipe.getExpression()`, `RecipesPackage.getExpressionEnforcerRecipe()`
      Generated:

    - #### getExpressionEnforcerRecipe_MappedIndices

          public org.eclipse.emf.ecore.EReference getExpressionEnforcerRecipe_MappedIndices()

      Specified by:
        `getExpressionEnforcerRecipe_MappedIndices` in interface `RecipesPackage`
      Returns:
        the meta object for the map 'Mapped Indices'.
      See Also:
        `ExpressionEnforcerRecipe.getMappedIndices()`, `RecipesPackage.getExpressionEnforcerRecipe()`
      Generated:

    - #### getExpressionEnforcerRecipe_CacheOutput

          public org.eclipse.emf.ecore.EAttribute getExpressionEnforcerRecipe_CacheOutput()

      Specified by:
        `getExpressionEnforcerRecipe_CacheOutput` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Cache Output'.
      See Also:
        `ExpressionEnforcerRecipe.isCacheOutput()`, `RecipesPackage.getExpressionEnforcerRecipe()`
      Generated:

    - #### getCheckRecipe

          public org.eclipse.emf.ecore.EClass getCheckRecipe()

      Specified by:
        `getCheckRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Check Recipe'.
      See Also:
        `CheckRecipe`
      Generated:

    - #### getCheckRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getCheckRecipe__GetArity()

      Specified by:
        `getCheckRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `CheckRecipe.getArity()`
      Generated:

    - #### getEvalRecipe

          public org.eclipse.emf.ecore.EClass getEvalRecipe()

      Specified by:
        `getEvalRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Eval Recipe'.
      See Also:
        `EvalRecipe`
      Generated:

    - #### getEvalRecipe_Unwinding

          public org.eclipse.emf.ecore.EAttribute getEvalRecipe_Unwinding()

      Specified by:
        `getEvalRecipe_Unwinding` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Unwinding'.
      Since:
        2.4
      See Also:
        `EvalRecipe.isUnwinding()`, `RecipesPackage.getEvalRecipe()`
      Generated:

    - #### getEvalRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getEvalRecipe__GetArity()

      Specified by:
        `getEvalRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `EvalRecipe.getArity()`
      Generated:

    - #### getIndexerBasedAggregatorRecipe

          public org.eclipse.emf.ecore.EClass getIndexerBasedAggregatorRecipe()

      Specified by:
        `getIndexerBasedAggregatorRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Indexer Based Aggregator Recipe'.
      See Also:
        `IndexerBasedAggregatorRecipe`
      Generated:

    - #### getIndexerBasedAggregatorRecipe_Parent

          public org.eclipse.emf.ecore.EReference getIndexerBasedAggregatorRecipe_Parent()

      Specified by:
        `getIndexerBasedAggregatorRecipe_Parent` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Parent'.
      See Also:
        `IndexerBasedAggregatorRecipe.getParent()`, `RecipesPackage.getIndexerBasedAggregatorRecipe()`
      Generated:

    - #### getIndexerBasedAggregatorRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getIndexerBasedAggregatorRecipe__GetArity()

      Specified by:
        `getIndexerBasedAggregatorRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `IndexerBasedAggregatorRecipe.getArity()`
      Generated:

    - #### getCountAggregatorRecipe

          public org.eclipse.emf.ecore.EClass getCountAggregatorRecipe()

      Specified by:
        `getCountAggregatorRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Count Aggregator Recipe'.
      See Also:
        `CountAggregatorRecipe`
      Generated:

    - #### getJoinRecipe

          public org.eclipse.emf.ecore.EClass getJoinRecipe()

      Specified by:
        `getJoinRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Join Recipe'.
      See Also:
        `JoinRecipe`
      Generated:

    - #### getJoinRecipe_RightParentComplementaryMask

          public org.eclipse.emf.ecore.EReference getJoinRecipe_RightParentComplementaryMask()

      Specified by:
        `getJoinRecipe_RightParentComplementaryMask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Right Parent Complementary Mask'.
      See Also:
        `JoinRecipe.getRightParentComplementaryMask()`, `RecipesPackage.getJoinRecipe()`
      Generated:

    - #### getJoinRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getJoinRecipe__GetArity()

      Specified by:
        `getJoinRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `JoinRecipe.getArity()`
      Generated:

    - #### getExistenceJoinRecipe

          public org.eclipse.emf.ecore.EClass getExistenceJoinRecipe()

      Specified by:
        `getExistenceJoinRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Existence Join Recipe'.
      See Also:
        `ExistenceJoinRecipe`
      Generated:

    - #### getExistenceJoinRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getExistenceJoinRecipe__GetArity()

      Specified by:
        `getExistenceJoinRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `ExistenceJoinRecipe.getArity()`
      Generated:

    - #### getSemiJoinRecipe

          public org.eclipse.emf.ecore.EClass getSemiJoinRecipe()

      Specified by:
        `getSemiJoinRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Semi Join Recipe'.
      See Also:
        `SemiJoinRecipe`
      Generated:

    - #### getAntiJoinRecipe

          public org.eclipse.emf.ecore.EClass getAntiJoinRecipe()

      Specified by:
        `getAntiJoinRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Anti Join Recipe'.
      See Also:
        `AntiJoinRecipe`
      Generated:

    - #### getInputFilterRecipe

          public org.eclipse.emf.ecore.EClass getInputFilterRecipe()

      Specified by:
        `getInputFilterRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Input Filter Recipe'.
      See Also:
        `InputFilterRecipe`
      Generated:

    - #### getInputFilterRecipe_InputKey

          public org.eclipse.emf.ecore.EAttribute getInputFilterRecipe_InputKey()

      Specified by:
        `getInputFilterRecipe_InputKey` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Input Key'.
      See Also:
        `InputFilterRecipe.getInputKey()`, `RecipesPackage.getInputFilterRecipe()`
      Generated:

    - #### getInputFilterRecipe_KeyID

          public org.eclipse.emf.ecore.EAttribute getInputFilterRecipe_KeyID()

      Specified by:
        `getInputFilterRecipe_KeyID` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Key ID'.
      See Also:
        `InputFilterRecipe.getKeyID()`, `RecipesPackage.getInputFilterRecipe()`
      Generated:

    - #### getInputFilterRecipe_Mask

          public org.eclipse.emf.ecore.EReference getInputFilterRecipe_Mask()

      Specified by:
        `getInputFilterRecipe_Mask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Mask'.
      See Also:
        `InputFilterRecipe.getMask()`, `RecipesPackage.getInputFilterRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe

          public org.eclipse.emf.ecore.EClass getSingleColumnAggregatorRecipe()

      Specified by:
        `getSingleColumnAggregatorRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Single Column Aggregator Recipe'.
      See Also:
        `SingleColumnAggregatorRecipe`
      Generated:

    - #### getSingleColumnAggregatorRecipe_MultisetAggregationOperator

          public org.eclipse.emf.ecore.EAttribute getSingleColumnAggregatorRecipe_MultisetAggregationOperator()

      Specified by:
        `getSingleColumnAggregatorRecipe_MultisetAggregationOperator` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Multiset Aggregation Operator'.
      See Also:
        `SingleColumnAggregatorRecipe.getMultisetAggregationOperator()`, `RecipesPackage.getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe_AggregableIndex

          public org.eclipse.emf.ecore.EAttribute getSingleColumnAggregatorRecipe_AggregableIndex()

      Specified by:
        `getSingleColumnAggregatorRecipe_AggregableIndex` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Aggregable Index'.
      See Also:
        `SingleColumnAggregatorRecipe.getAggregableIndex()`, `RecipesPackage.getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe_GroupByMask

          public org.eclipse.emf.ecore.EReference getSingleColumnAggregatorRecipe_GroupByMask()

      Specified by:
        `getSingleColumnAggregatorRecipe_GroupByMask` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Group By Mask'.
      See Also:
        `SingleColumnAggregatorRecipe.getGroupByMask()`, `RecipesPackage.getSingleColumnAggregatorRecipe()`
      Generated:

    - #### getSingleColumnAggregatorRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getSingleColumnAggregatorRecipe__GetArity()

      Specified by:
        `getSingleColumnAggregatorRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `SingleColumnAggregatorRecipe.getArity()`
      Generated:

    - #### getDiscriminatorDispatcherRecipe

          public org.eclipse.emf.ecore.EClass getDiscriminatorDispatcherRecipe()

      Specified by:
        `getDiscriminatorDispatcherRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Discriminator Dispatcher Recipe'.
      See Also:
        `DiscriminatorDispatcherRecipe`
      Generated:

    - #### getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex

          public org.eclipse.emf.ecore.EAttribute getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex()

      Specified by:
        `getDiscriminatorDispatcherRecipe_DiscriminationColumnIndex` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Discrimination Column Index'.
      See Also:
        `DiscriminatorDispatcherRecipe.getDiscriminationColumnIndex()`, `RecipesPackage.getDiscriminatorDispatcherRecipe()`
      Generated:

    - #### getDiscriminatorDispatcherRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getDiscriminatorDispatcherRecipe__GetArity()

      Specified by:
        `getDiscriminatorDispatcherRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `DiscriminatorDispatcherRecipe.getArity()`
      Generated:

    - #### getDiscriminatorBucketRecipe

          public org.eclipse.emf.ecore.EClass getDiscriminatorBucketRecipe()

      Specified by:
        `getDiscriminatorBucketRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Discriminator Bucket Recipe'.
      See Also:
        `DiscriminatorBucketRecipe`
      Generated:

    - #### getDiscriminatorBucketRecipe_BucketKey

          public org.eclipse.emf.ecore.EAttribute getDiscriminatorBucketRecipe_BucketKey()

      Specified by:
        `getDiscriminatorBucketRecipe_BucketKey` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Bucket Key'.
      See Also:
        `DiscriminatorBucketRecipe.getBucketKey()`, `RecipesPackage.getDiscriminatorBucketRecipe()`
      Generated:

    - #### getDiscriminatorBucketRecipe__GetArity

          public org.eclipse.emf.ecore.EOperation getDiscriminatorBucketRecipe__GetArity()

      Specified by:
        `getDiscriminatorBucketRecipe__GetArity` in interface `RecipesPackage`
      Returns:
        the meta object for the 'Get Arity' operation.
      See Also:
        `DiscriminatorBucketRecipe.getArity()`
      Generated:

    - #### getRederivableNodeRecipe

          public org.eclipse.emf.ecore.EClass getRederivableNodeRecipe()

      Specified by:
        `getRederivableNodeRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Rederivable Node Recipe'.
      See Also:
        `RederivableNodeRecipe`
      Generated:

    - #### getRederivableNodeRecipe_DeleteRederiveEvaluation

          public org.eclipse.emf.ecore.EAttribute getRederivableNodeRecipe_DeleteRederiveEvaluation()

      Specified by:
        `getRederivableNodeRecipe_DeleteRederiveEvaluation` in interface `RecipesPackage`
      Returns:
        the meta object for the attribute 'Delete Rederive Evaluation'.
      See Also:
        `RederivableNodeRecipe.isDeleteRederiveEvaluation()`, `RecipesPackage.getRederivableNodeRecipe()`
      Generated:

    - #### getRederivableNodeRecipe_OptionalMonotonicityInfo

          public org.eclipse.emf.ecore.EReference getRederivableNodeRecipe_OptionalMonotonicityInfo()

      Specified by:
        `getRederivableNodeRecipe_OptionalMonotonicityInfo` in interface `RecipesPackage`
      Returns:
        the meta object for the containment reference 'Optional Monotonicity Info'.
      See Also:
        `RederivableNodeRecipe.getOptionalMonotonicityInfo()`, `RecipesPackage.getRederivableNodeRecipe()`
      Generated:

    - #### getRelationEvaluationRecipe

          public org.eclipse.emf.ecore.EClass getRelationEvaluationRecipe()

      Specified by:
        `getRelationEvaluationRecipe` in interface `RecipesPackage`
      Returns:
        the meta object for class 'Relation Evaluation Recipe'.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipe`
      Generated:

    - #### getRelationEvaluationRecipe_Evaluator

          public org.eclipse.emf.ecore.EReference getRelationEvaluationRecipe_Evaluator()

      Specified by:
        `getRelationEvaluationRecipe_Evaluator` in interface `RecipesPackage`
      Returns:
        the meta object for the reference 'Evaluator'.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipe.getEvaluator()`, `RecipesPackage.getRelationEvaluationRecipe()`
      Generated:

    - #### getIndex

          public org.eclipse.emf.ecore.EDataType getIndex()

      Specified by:
        `getIndex` in interface `RecipesPackage`
      Returns:
        the meta object for data type 'Index'.
      See Also:
        `Integer`
      Generated:

    - #### getAggregationOperator

          public org.eclipse.emf.ecore.EDataType getAggregationOperator()

      Specified by:
        `getAggregationOperator` in interface `RecipesPackage`
      Returns:
        the meta object for data type 'Aggregation Operator'.
      See Also:
        `IMultisetAggregationOperator`
      Generated:

    - #### getRecipesFactory

          public RecipesFactory getRecipesFactory()

      Specified by:
        `getRecipesFactory` in interface `RecipesPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: